Bug 186316 - [NEW PORT] devel/spyder: Scientific PYthon Development EnviRonment
Summary: [NEW PORT] devel/spyder: Scientific PYthon Development EnviRonment
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: freebsd-python (Nobody)
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2014-02-01 01:30 UTC by rodperson
Modified: 2016-04-27 11:23 UTC (History)
4 users (show)

See Also:
rodperson: maintainer-feedback+


Attachments
file.shar (65.05 KB, text/plain)
2014-02-01 01:30 UTC, rodperson
rodperson: maintainer-approval-
Details
Proposed patch (v2.3.2) (67.21 KB, patch)
2014-12-08 16:22 UTC, lightside
no flags Details | Diff
The port in shar format (v2.3.2) (3.77 KB, text/plain)
2014-12-08 16:23 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10 amd64, with default options) (18.92 KB, application/x-zip-compressed)
2014-12-08 16:24 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10 amd64, with all options disabled) (17.49 KB, application/x-zip-compressed)
2014-12-08 16:25 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10 amd64, with all options enabled) (20.25 KB, application/x-zip-compressed)
2014-12-08 16:25 UTC, lightside
no flags Details
Proposed patch (v2.3.2) (67.35 KB, patch)
2014-12-08 17:24 UTC, lightside
no flags Details | Diff
The port in shar format (v2.3.2) (3.91 KB, text/plain)
2014-12-08 17:24 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10 amd64, with all options enabled) (20.32 KB, application/x-zip-compressed)
2014-12-08 17:26 UTC, lightside
no flags Details
Proposed patch (v2.3.2) (67.65 KB, patch)
2014-12-08 18:06 UTC, lightside
no flags Details | Diff
The port in shar format (v2.3.2) (4.21 KB, text/plain)
2014-12-08 18:06 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10 amd64, with all options enabled) (20.54 KB, application/x-zip-compressed)
2014-12-08 18:06 UTC, lightside
no flags Details
Proposed patch (v2.3.2) (67.71 KB, patch)
2014-12-09 06:14 UTC, lightside
no flags Details | Diff
The port in shar format (v2.3.2) (4.27 KB, text/plain)
2014-12-09 06:15 UTC, lightside
no flags Details
Proposed patch (v2.3.2) (67.65 KB, patch)
2014-12-09 08:32 UTC, lightside
no flags Details | Diff
The port in shar format (v2.3.2) (4.21 KB, text/plain)
2014-12-09 08:32 UTC, lightside
no flags Details
Proposed patch (v2.3.2) (67.68 KB, patch)
2014-12-09 08:48 UTC, lightside
no flags Details | Diff
The port in shar format (v2.3.2) (4.24 KB, text/plain)
2014-12-09 08:48 UTC, lightside
no flags Details
Proposed patch (v2.3.2) (67.68 KB, patch)
2014-12-09 11:50 UTC, lightside
no flags Details | Diff
The port in shar format (v2.3.2) (4.24 KB, text/plain)
2014-12-09 11:50 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10 amd64, with all options enabled) (20.67 KB, application/x-zip-compressed)
2014-12-09 11:51 UTC, lightside
no flags Details
Proposed patch (v2.3.2) (67.68 KB, patch)
2014-12-09 20:44 UTC, lightside
no flags Details | Diff
The port in shar format (v2.3.2) (4.24 KB, text/plain)
2014-12-09 20:45 UTC, lightside
no flags Details
The port in shar format (v2.3.2) (4.21 KB, text/plain)
2015-01-13 09:27 UTC, lightside
no flags Details
The port in shar format (v2.3.2) (4.19 KB, text/plain)
2015-01-28 10:43 UTC, lightside
no flags Details
The port in shar format (v2.3.2) (4.21 KB, text/plain)
2015-01-28 11:06 UTC, lightside
koobs: maintainer-approval+
Details
The port in shar format (v2.3.2) (4.12 KB, text/plain)
2015-02-23 00:08 UTC, lightside
no flags Details
The port in shar format (v2.3.2) (4.10 KB, text/plain)
2015-02-23 00:50 UTC, lightside
no flags Details
The port in shar format (v2.3.2) (4.09 KB, text/plain)
2015-03-20 05:58 UTC, lightside
no flags Details
The port in shar format (v2.3.2) (4.15 KB, text/plain)
2015-03-20 06:20 UTC, lightside
no flags Details
The port in shar format (v2.3.2) (4.04 KB, text/plain)
2015-03-20 13:15 UTC, lightside
no flags Details
The port in shar format (v2.3.2) (4.09 KB, text/plain)
2015-03-20 17:55 UTC, lightside
no flags Details
The port in shar format (v2.3.2) (4.08 KB, text/plain)
2015-03-26 15:19 UTC, lightside
no flags Details
The port in shar format (v2.3.6) (4.31 KB, text/plain)
2015-09-26 16:16 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10.2 amd64, with default options) (15.38 KB, application/x-bzip2)
2015-09-26 16:17 UTC, lightside
no flags Details
The port in shar format (v2.3.7) (4.31 KB, text/plain)
2015-10-25 22:35 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10.2 amd64, with default options) (15.40 KB, application/x-bzip2)
2015-10-26 00:21 UTC, lightside
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description rodperson 2014-02-01 01:30:00 UTC
Spyder is and IDE for the Python language.

I have successfully built the port on Redports.org

Here are links to the build logs

9.2 AMD64
https://redports.org/~rodperson/20140201004100-6291-173601/spyder-2.3.0beta2.log

10-CURRENT AMD64
https://redports.org/~rodperson/20140201004100-6291-173602/spyder-2.3.0beta2.log

10-CURRENT i386
https://redports.org/~rodperson/20140201004100-6291-173603/spyder-2.3.0beta2.log

Fix: Patch attached with submission follows:
Comment 1 Jason Helfman freebsd_committer 2014-02-01 03:33:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 2 lightside 2014-12-08 16:22:52 UTC
Created attachment 150356 [details]
Proposed patch (v2.3.2)

Hello.

Thanks for devel/spyder port submission.

I would like to propose following changes:
- Update to 2.3.2 version
- Add python to CATEGORIES
- Use download method of Bitbucket (which is similar to GitHub method)
- Add LICENSE_FILE
- Use autoplist for pkg-plist generation
- Use distutils instead of USE_PYDISTUTILS
- Add PORTDOCS and DOCS_BUILD_DEPENDS
- Add RECOMMENDED and OPTIONAL group options for recommended and optional modules, as stated in ${WRKSRC}/README.md
- Add desktop entry
- Use bsd.port.options.mk helpers for options *_RUN_DEPENDS
- Add WWW to pkg-descr file
Comment 3 lightside 2014-12-08 16:23:31 UTC
Created attachment 150357 [details]
The port in shar format (v2.3.2)
Comment 4 lightside 2014-12-08 16:24:21 UTC
Created attachment 150359 [details]
The poudriere testport log (FreeBSD 10 amd64, with default options)
Comment 5 lightside 2014-12-08 16:25:23 UTC
Created attachment 150360 [details]
The poudriere testport log (FreeBSD 10 amd64, with all options disabled)
Comment 6 lightside 2014-12-08 16:25:55 UTC
Created attachment 150361 [details]
The poudriere testport log (FreeBSD 10 amd64, with all options enabled)
Comment 7 lightside 2014-12-08 17:24:10 UTC
Created attachment 150362 [details]
Proposed patch (v2.3.2)

Added PSUTIL option to show Memory/CPU usage in the status bar.
Comment 8 lightside 2014-12-08 17:24:46 UTC
Created attachment 150363 [details]
The port in shar format (v2.3.2)
Comment 9 lightside 2014-12-08 17:26:17 UTC
Created attachment 150364 [details]
The poudriere testport log (FreeBSD 10 amd64, with all options enabled)
Comment 10 lightside 2014-12-08 18:06:02 UTC
Created attachment 150365 [details]
Proposed patch (v2.3.2)

Added PANDAS and SYMPY to optional options.
Comment 11 lightside 2014-12-08 18:06:28 UTC
Created attachment 150366 [details]
The port in shar format (v2.3.2)
Comment 12 lightside 2014-12-08 18:06:57 UTC
Created attachment 150367 [details]
The poudriere testport log (FreeBSD 10 amd64, with all options enabled)
Comment 13 lightside 2014-12-09 06:14:08 UTC
Created attachment 150380 [details]
Proposed patch (v2.3.2)

Added explicit runtime dependency on net/py-pyzmq in case of IPYTHON option, because ZMQ option might be disabled for devel/ipython package, but required for correct ipython integration.
The dependencies are listed on "Help -> Optional dependencies..." menu of the Spyder application.
Comment 14 lightside 2014-12-09 06:15:06 UTC
Created attachment 150381 [details]
The port in shar format (v2.3.2)
Comment 15 lightside 2014-12-09 08:32:00 UTC
Created attachment 150386 [details]
Proposed patch (v2.3.2)

Removed manual creation of desktop entry, because of existing ${WRKSRC}/setup.py capabilities, enabled by post-patch.
Added PKGNAMEPREFIX.
Comment 16 lightside 2014-12-09 08:32:24 UTC
Created attachment 150387 [details]
The port in shar format (v2.3.2)
Comment 17 lightside 2014-12-09 08:48:00 UTC
Created attachment 150388 [details]
Proposed patch (v2.3.2)

Fixed check for pylint dependency (by correct PYTHON_PKGNAMESUFFIX).
Comment 18 lightside 2014-12-09 08:48:23 UTC
Created attachment 150389 [details]
The port in shar format (v2.3.2)
Comment 19 lightside 2014-12-09 11:50:17 UTC
Created attachment 150393 [details]
Proposed patch (v2.3.2)
Comment 20 lightside 2014-12-09 11:50:39 UTC
Created attachment 150394 [details]
The port in shar format (v2.3.2)
Comment 21 lightside 2014-12-09 11:51:18 UTC
Created attachment 150395 [details]
The poudriere testport log (FreeBSD 10 amd64, with all options enabled)
Comment 22 lightside 2014-12-09 20:44:41 UTC
Created attachment 150410 [details]
Proposed patch (v2.3.2)

Fixed "Created by" line, based on other created ports by the same author.
Comment 23 lightside 2014-12-09 20:45:09 UTC
Created attachment 150411 [details]
The port in shar format (v2.3.2)
Comment 24 lightside 2015-01-13 09:27:40 UTC
Created attachment 151534 [details]
The port in shar format (v2.3.2)

Removed bsd.port.options.mk include, because there are no checks for options.
Comment 25 Kubilay Kocak freebsd_committer freebsd_triage 2015-01-27 09:42:34 UTC
Original submitters feedback is required for the second attachment, otherwise the first holds.

A separate issue may also be created, pending a timeout on this one.
Comment 26 lightside 2015-01-27 10:06:52 UTC
(In reply to comment #25)

Well, I don't pretend to be a maintainer of this port, while brought it to the working state and update to latest version. The author of the port contacted me at 9 December 2014 and said about problems with testing of the port on redports.org (because of tinderbox issues, related to new pkg system).
Also, there is a request to not work on the port, while the author works on it, posted on FreeBSD-Python mailing list on January 2014:
https://lists.freebsd.org/pipermail/freebsd-python/2014-January/006523.html
Comment 27 Kubilay Kocak freebsd_committer freebsd_triage 2015-01-27 10:17:05 UTC
Which is why my suggestion to create a separate issue as a contingency in the case the original submitter is non-responsive, and the maintainer-feedback flag was set.

There's nothing we need to do at the moment it seems.
Comment 28 rodperson 2015-01-27 13:25:29 UTC
Sorry...didn't relize this was waiting on me.

The 2nd attachment by lightside works fine.  If you need more from me, let me know. Not sure of the protocol in such an instance as this one.
Comment 29 lightside 2015-01-28 10:43:01 UTC
Created attachment 152300 [details]
The port in shar format (v2.3.2)

Removed BB_COMMIT and adapted to release method of download, based on DISTVERSION.
The distinfo file is the same. The poudriere testport logs are still valid.
Comment 30 Kubilay Kocak freebsd_committer freebsd_triage 2015-01-28 10:47:20 UTC
Rod,

Thanks for the quick response. Please:

- Set maintainer-approval on the latest patch by lightside, AND
- Obsolete your own patch

You can do so by clicking 'Details' for each attachment and setting the appropriate fields.
Comment 31 lightside 2015-01-28 11:06:25 UTC
Created attachment 152302 [details]
The port in shar format (v2.3.2)

Actually, it could be named as BB_TAGNAME and used for BB_COMMIT, when needed. Now it's "v${PORTVERSION}".
Comment 32 rodperson 2015-01-28 11:40:31 UTC
Hope I did this all correct, just let me know.

This bugzilla is all new to me...I'm used to the old ways :)
Comment 33 lightside 2015-01-28 11:53:31 UTC
(In reply to comment #32)

On "Details" for attachments there is "edit details" link on top, where you could check on "obsolete" and then click on Submit to obsolete file. On the same kind of page you could change Flags for requested maintainer approval, if I'm not wrong.

But this is not needed, if you agree already, in my opinion. Maybe, for other purposes.
Comment 34 lightside 2015-01-28 12:10:57 UTC
(In reply to comment #33)
> On the same kind of page you could change Flags for requested maintainer approval, if I'm not wrong.

If it doesn't work, try to see "My Requests" page on top or read details about how to approve it on your email at the time of request.
Comment 35 Kubilay Kocak freebsd_committer freebsd_triage 2015-01-28 13:14:19 UTC
Rod, perfect!

Now you just need to approve attachment 152302 [details] (set + on the maintainer-approval flag)
Comment 36 lightside 2015-01-28 13:18:39 UTC
Comment on attachment 152302 [details]
The port in shar format (v2.3.2)

Ok, since there is only one patch attachment, which not obsoleted, I removed the maintainer-approval request. The Rod Person agree on it, based on his previous messages.

Waiting for interested commiter.
Comment 37 lightside 2015-01-28 13:20:09 UTC
(In reply to comment #36)
> one patch attachment

one attachment in shar format, used for new ports.
Comment 38 rodperson 2015-01-28 13:21:40 UTC
Ok...was getting ready to post it will not let me change the flag!
Comment 39 Kubilay Kocak freebsd_committer freebsd_triage 2015-01-28 13:24:57 UTC
Comment on attachment 152302 [details]
The port in shar format (v2.3.2)

@lightside The maintainer-approval on required on attachment 152302 [details] because at the time of the comment there were multiple patches. 

Having said that, even if there was only one patch:

- maintainer-approval on your patch would still be required in this case because you are not the submitter (reporter) or maintainer.

- Having an explicit approval on even one patch is better than having to correlate approval in comments.

Rod, please approve the patch as per my comment 35, thanks!
Comment 40 Kubilay Kocak freebsd_committer freebsd_triage 2015-01-28 13:26:12 UTC
(In reply to rodperson from comment #38)

Can you set the flag now?
Comment 41 rodperson 2015-01-28 13:33:43 UTC
Still can not see it. Took screenshot

http://rodperson.com/pictures/approve.png
Comment 42 Kubilay Kocak freebsd_committer freebsd_triage 2015-01-28 13:37:04 UTC
Comment on attachment 152302 [details]
The port in shar format (v2.3.2)

That should have worked. I re-added the flag myself after lightside removed it, and from your screenshot it's still showing the older one.

No matter, I'll set the flag.

Let me know again if it happens in future, as you *should* be able to set a flags value if your username/email is the current ? value (which it was).
Comment 43 lightside 2015-02-23 00:08:14 UTC
Created attachment 153345 [details]
The port in shar format (v2.3.2)

According to BitBucket Wiki and Google Code pages, the site and source code "has moved to GitHub":
https://bitbucket.org/spyder-ide/spyderlib/wiki/Home
https://code.google.com/p/spyderlib/

- Adapted to USE_GITHUB=yes
- Changed WWW of pkg-descr file to GitHub site
Comment 44 lightside 2015-02-23 00:50:00 UTC
Created attachment 153348 [details]
The port in shar format (v2.3.2)

There is a possibility to use GHR (or GITHUB_RELEASE) for MASTER_SITES.
Comment 45 lightside 2015-03-20 05:58:53 UTC
Created attachment 154550 [details]
The port in shar format (v2.3.2)

(In reply to comment #44)
> There is a possibility to use GHR (or GITHUB_RELEASE) for MASTER_SITES.

Deprecate USE_GITHUB, because ports r381618 and ports r381648 changes made it useless for this case. For example, the GH_TAGNAME is v${PORTVERSION}, but WRKSRC is ${WRKDIR}/{PORTNAME}-${PORTVERSION}, not a ${WRKDIR}/${PORTNAME}-${GH_TAGNAME}, which is wrong assumption for this case.
Comment 46 lightside 2015-03-20 06:20:36 UTC
Created attachment 154551 [details]
The port in shar format (v2.3.2)
Comment 47 lightside 2015-03-20 13:15:22 UTC
Created attachment 154568 [details]
The port in shar format (v2.3.2)

(In reply to comment #45)
> Deprecate USE_GITHUB, because ports r381618 and ports r381648 changes made it useless for this case.

Ok, return USE_GITHUB and use Git commit instead.

Need to note, that there is newer 2.3.3 version:
https://github.com/spyder-ide/spyder/releases/tag/v2.3.3

It's possible to update, but it has some different dependencies and somehow doesn't recognize some existing ones. Therefore, I still propose to use 2.3.2 version for this PR.
Comment 48 lightside 2015-03-20 17:55:33 UTC
Created attachment 154584 [details]
The port in shar format (v2.3.2)

(In reply to comment #47)
> Ok, return USE_GITHUB and use Git commit instead.

Or use v${PORTVERSION} for GH_TAGNAME and correct WRKSRC. It has the same checksum as for previously used GHR site.
Comment 49 lightside 2015-03-21 05:59:36 UTC
Comment on attachment 154551 [details]
The port in shar format (v2.3.2)

Looks like, the USE_GITHUB download methods is a playground for someone. Let's use GitHub public interface.
Comment 50 lightside 2015-03-26 15:19:46 UTC
Created attachment 154833 [details]
The port in shar format (v2.3.2)

I think, there is a (general) misunderstanding about GitHub API (front-end) usage. But also there is a possible reviewer's abuse of conversion from (correct) MASTER_SITES to USE_GITHUB. Therefore, return to use USE_GITHUB with correct DISTNAME (where the current "_GH0" part is responsibility of other people; therefore, if it changed outside of the port, then recreate the distinfo file with "make makesum" command).
Comment 51 lightside 2015-09-26 16:16:23 UTC
Created attachment 161438 [details]
The port in shar format (v2.3.6)

Updated to 2.3.6 release version:
https://github.com/spyder-ide/spyder/releases/tag/v2.3.6

- Corrected USE_GITHUB usage
- Replaced "PYDISTUTILS_INSTALLNOSINGLE" deprecated define with "MAKE_ENV=USE_SETUPTOOLS=1"
- Corrected some descriptions for options, according to "Optional Dependencies" dialog
- Added new "JEDI" option to "OPTIONAL" group

To Rod Person:
Thanks, for bringing this PR to my attention again. I resolved issue with PYDISTUTILS_INSTALLNOSINGLE define after reading setup.py file, where there was a need to activate with_setuptools variable with using USE_SETUPTOOLS environment define.
Comment 52 lightside 2015-09-26 16:17:15 UTC
Created attachment 161439 [details]
The poudriere testport log (FreeBSD 10.2 amd64, with default options)
Comment 53 rodperson 2015-10-25 21:55:13 UTC
Comment on attachment 161438 [details]
The port in shar format (v2.3.6)

post-patch:
	@${REINPLACE_CMD} -e 's|'linux'|'${OPSYS:tl}'| ' \
	${WRKSRC}/setup.py \
	${WRKSRC}/spyderlib/spyder.py


I get a build error that line 71  -> ${WRKSRC}/setup.py \
needs an operator.
Comment 54 lightside 2015-10-25 22:33:46 UTC
Comment on attachment 161438 [details]
The port in shar format (v2.3.6)

(In reply to comment #53)
> I get a build error that line 71  -> ${WRKSRC}/setup.py \
> needs an operator.

The poudriere testport (attachment 161439 [details]) didn't show such error, the same for "make check-plist" and "portlint -C" commands. But just in case, I changed ' to " for new version of shar archive. Otherwise, you need to try to update the ports, e.g. with "portsnap fetch update" command.
Comment 55 lightside 2015-10-25 22:35:00 UTC
Created attachment 162448 [details]
The port in shar format (v2.3.7)

Updated to 2.3.7 release version:
https://github.com/spyder-ide/spyder/releases/tag/v2.3.7
Comment 56 lightside 2015-10-26 00:21:35 UTC
Created attachment 162450 [details]
The poudriere testport log (FreeBSD 10.2 amd64, with default options)
Comment 57 commit-hook freebsd_committer 2015-10-26 08:47:31 UTC
A commit references this bug:

Author: demon
Date: Mon Oct 26 08:47:12 UTC 2015
New revision: 400177
URL: https://svnweb.freebsd.org/changeset/ports/400177

Log:
  New port: spyder

  Spyder (previously known as Pydee) is a powerful interactive development
  environment for the Python language with advanced editing, interactive
  testing, debugging and introspection features

  WWW: https://github.com/spyder-ide/spyder/

  PR:		186316
  Submitted by:	rodperson@rodperson.com
  With improvements by lightside@gmx.de

Changes:
  head/devel/Makefile
  head/devel/spyder/
  head/devel/spyder/Makefile
  head/devel/spyder/distinfo
  head/devel/spyder/pkg-descr
Comment 58 Dmitry Sivachenko freebsd_committer 2015-10-26 08:47:50 UTC
Port added, thanks to all participants!
Comment 59 Bartek Rutkowski freebsd_committer 2016-04-27 11:23:24 UTC
Seems like this is already completed and there's no action on it for a while, so I'm closing this PR.